NAME
OpenAPI::Client::OpenAI::Path::models-model - Documentation for the /models/{model} path.
OPERATIONS
DELETE /models/{model}
deleteModel
$client->delete_model({
body => { ... },
});
Delete a fine-tuned model. You must have the Owner role in your organization to delete a model.
Path/query parameters
model(in path, required, string) - The model to delete
Responses
200 - OK
Content-Type: application/json
Example:
{
"deleted" : false,
"id" : "string",
"object" : "string"
}
GET /models/{model}
retrieveModel
$client->retrieve_model({
body => { ... },
});
Retrieves a model instance, providing basic information about the model such as the owner and permissioning.
Path/query parameters
model(in path, required, string) - The ID of the model to use for this request
Responses
200 - OK
Content-Type: application/json
Example:
{
"created" : 1686935002,
"id" : "VAR_chat_model_id",
"object" : "model",
"owned_by" : "openai"
}
SCHEMAS
DeleteModelResponse
Properties:
deleted(boolean, required)id(string, required)object(string, required)
Model
Properties:
created(integer, required) - The Unix timestamp (in seconds) when the model was created.id(string, required) - The model identifier, which can be referenced in the API endpoints.object(string, required) - The object type, which is always "model".Allowed values: model
owned_by(string, required) - The organization that owns the model.
SEE ALSO
COPYRIGHT AND LICENSE
Copyright (C) 2023-2026 by Nelson Ferraz
This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.